View Issue Details

IDProjectCategoryView StatusLast Update
0012254LazarusIDEpublic2008-10-21 14:59
ReporterDmitry Boyarintsev Assigned ToMattias Gaertner  
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Target Version0.9.28 
Summary0012254: Code tools bug: with Code completition
DescriptionStart a new "Custom program" and use 'gl' unit
then declare a variable, and try to press Ctrl+Space at type definition

program Project1;

{$mode objfpc}{$H+}

uses
  Classes, SysUtils, gl
  { you can add units after this };

var
  t : {_call code completition here_}

begin
end.
          
The ide opens 'gl' unit, giving a error ".../gl.pp(1,1) Error: no pascal code found (first token is t)"

Additional Informationthis is bug probably related to: http://bugs.freepascal.org/view.php?id=12252
because, if project is big, and uses lots of other units, the opened unit is shown empty and the same error is thrown.
TagsNo tags attached.
Fixed in Revision
LazTarget0.9.28
Widgetset
Attached Files

Relationships

related to 0012269 closedMattias Gaertner Every other ctrl+click on an identifier opens the unit where it is defined but stays at the top. 

Activities

Luca Olivetti

2008-09-29 15:09

reporter   ~0022497

I see the same message the 3rd time I ctrl+click on an identifier if it has to open the unit:

1) first ctrl+click over, e.g. TStringGrid, opens the unit grids.pas ok
2) I close the tab with grids.pas
3) ctrl+click on the same identifier, again it opens grids.pas ok
4) close the tab again
5) ctrl+click again, it opens the tab but it's empty and I see the same error (C:\lazsvn\lcl\grids.pas(-1,0) Error: no pascal code found (first token is )

from this point every ctrl+click on any identifier (even identifiers declared in the same unit) will bring up the same empty tab and the only way out is restarting lazarus (closing and reopening the project has no effect).

Luca Olivetti

2008-09-29 15:12

reporter   ~0022500

Regarding the comment in "Additional Information" that it happens in big projects with many units, well, I'm seeing it in a test program with just one unit (though it obviously references various other units in the lcl)

Issue History

Date Modified Username Field Change
2008-09-29 08:16 Dmitry Boyarintsev New Issue
2008-09-29 08:33 Vincent Snijders LazTarget => 0.9.28
2008-09-29 08:33 Vincent Snijders Assigned To => Mattias Gaertner
2008-09-29 08:33 Vincent Snijders Status new => assigned
2008-09-29 08:33 Vincent Snijders Target Version => 0.9.28
2008-09-29 15:09 Luca Olivetti Note Added: 0022497
2008-09-29 15:12 Luca Olivetti Note Added: 0022500
2008-09-29 22:19 Mattias Gaertner Status assigned => resolved
2008-09-29 22:19 Mattias Gaertner Resolution open => fixed
2008-09-30 18:38 Vincent Snijders Relationship added related to 0012269
2008-10-21 14:59 Dmitry Boyarintsev Status resolved => closed